org.richfaces.fragment.configuration

## Class RichFacesPageFragmentsConfiguration

- java.lang.Object
- - org.richfaces.fragment.configuration.RichFacesPageFragmentsConfiguration

- All Implemented Interfaces:
    org.jboss.arquillian.drone.spi.DroneConfiguration<RichFacesPageFragmentsConfiguration>

      public class RichFacesPageFragmentsConfiguration
      extends Object
      implements org.jboss.arquillian.drone.spi.DroneConfiguration<RichFacesPageFragmentsConfiguration>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPageFragmentsConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesPageFragmentsConfiguration` | `configure(org.jboss.arquillian.config.descriptor.api.ArquillianDescriptor descriptor, Class<? extends Annotation> qualifier)`
    `String` | `getConfigurationName()`
    `boolean` | `isUseJSInteractionStrategy()`
    `void` | `setUseJSInteractionStrategy(boolean useJSInteractionStrategy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPageFragmentsConfiguration

          public RichFacesPageFragmentsConfiguration()

  - ### Method Detail

    - #### isUseJSInteractionStrategy

          public boolean isUseJSInteractionStrategy()

    - #### setUseJSInteractionStrategy

          public void setUseJSInteractionStrategy(boolean useJSInteractionStrategy)

    - #### configure

          public RichFacesPageFragmentsConfiguration configure(org.jboss.arquillian.config.descriptor.api.ArquillianDescriptor descriptor,
                                                               Class<? extends Annotation> qualifier)

      Specified by:
        `configure` in interface `org.jboss.arquillian.drone.spi.DroneConfiguration<RichFacesPageFragmentsConfiguration>`

    - #### getConfigurationName

          public String getConfigurationName()

      Specified by:
        `getConfigurationName` in interface `org.jboss.arquillian.drone.spi.DroneConfiguration<RichFacesPageFragmentsConfiguration>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.